24 December 2017

Update: Attract Mode 2.3.0.17 for Mac Unofficial Binary (With SWF Support)

Now that the SWF compile bug has been ironed out, Attract Mode 2.3.0.17 is here for Macs:

https://drive.google.com/file/d/1c1cZSi8_9785Nb6f82uS-g7iTQVf3BIg/view?usp=sharing

Only the now working Search Plugin is worth the upgrade.

Current known limitation:

  1. Unlinked libraries: You will probably need these additional dependencies installed via Homebrew (please familiarize yourself with how to install Homebrew and packages):
pkg-config 
ffmpeg 
sfml 
libarchive

Reason is that the binary looks for these libraries under /usr/local/opt/..., although these libaries are bundled with the app. The bundling script does not seem to work properly in that respect.
Here is the link to the old 2.3.0.13, if some comparison is needed:

https://drive.google.com/file/d/1Gjt-YKvH97lt78biQuBdtxTU9W8B6Bba/view?usp=sharing


Just as a reminder - my posts on setting up Attract Mode on your Mac:
https://mameonmacs.blogspot.co.at/2017/01/attract-mode-for-mame-under-osx.html
https://mameonmacs.blogspot.co.at/2017/01/attract-mode-for-osx-setup-part-2.html

There is still some work required for an official build, but for the time being, you can try this unofficial binary on your Mac. Attract Mode rocks!


10 comments:

  1. Thanks for this build. Been looking for an update for a while now.

    ReplyDelete
  2. My pleasure! Please send any feedback on problems.

    ReplyDelete
  3. Hi, I tried your build on my Macbook Pro 13" Retina late 2013 with High Sierra and when I launch it it just don't open. I used the terminal to run it from command line and I get this output:

    dyld: Library not loaded: /usr/local/opt/sfml/lib/libsfml-graphics.2.4.dylib
    Referenced from: Attract.app/Contents/MacOS/./attract
    Reason: image not found
    Abort trap: 6

    ReplyDelete
    Replies
    1. I see, this seems to be a problem of the package, indeed. It does not use the libsfml.dylib from the package, but from the mentioned path there. I have sfml installed with Homebrew under this path /usr/local/sfml/lib/... and this is why I do not run into problems for now.
      Workaround: If you have Homebrew installed, then install the small sfml package, and it might work again.
      Thank you for this feedback!

      Delete
  4. I figured out how to install home-brew and pkg-config, but the command you give doesn't install anything.

    $ pkg-config ffmpeg sfml libarchive --debug
    no output option set, defaulting to --exists
    Error printing disabled by default due to use of output options --exists, --atleast/exact/max-version, --list-all or no output option at all. Value of --print-errors: 0
    Error printing disabled
    Adding virtual 'pkg-config' package to list of known packages
    Looking for package 'ffmpeg'
    Looking for package 'ffmpeg-uninstalled'
    Looking for package 'sfml'
    Looking for package 'sfml-uninstalled'
    Looking for package 'libarchive'
    Looking for package 'libarchive-uninstalled'



    Installing and running this version of Attract doesn't do anything, quits straight away. The version on the download page seems to work.

    Maybe I should try your first 2 articles on installing Attract first.

    ReplyDelete
    Replies
    1. Just look for some Homebrew Cheat Sheet, it is much easier:
      first you get homebrew running
      then: brew update
      then you start installing the packages:
      brew install pkg-config
      brew install ffmpeg
      brew install sgml
      brew install lib archive
      that's all, sorry for being that short in the above instructions, it is rather straight-forward working with HomeBrew, as soon as you get the basics right - and it is worth it anyways
      cheers and good luck!

      Delete
  5. Any chance to see the 2.3 version repackaged without the need for homebrew?

    ReplyDelete
    Replies
    1. It seems that coding is required, and I am not coding. The libraries are in the bundle, but the application does not use it. I also very much hope for a fully functioning bundle to arrive.

      Delete
    2. Got it, I finally managed to install homebrew and the package now works, thank you! AM 2.3 is a bit faster than 2.2, although I still find it slower on Mac than on Windows, espacially for themes that use a lot of surfaces/overlays

      Delete
  6. Great, many thanks for the feedback! The latest source code also got rid of the SWF compile error, so stay tuned for another update (but Homebrew packages still being required, unfortunately)

    ReplyDelete

Any comments are welcome!